import { OnInit, ElementRef, EventEmitter, QueryList } from '@angular/core';
import { CfCoreComponent } from '../core/core.component';
import { FormGroup } from '@angular/forms';
import { CfFormQuestionComponent } from '../form-question/form-question.component';
import { CfGroupQuestionComponent } from '../group-question/group-question.component';
import { FormQuestionControlService } from '../../services/form-generator/form-question-control.service';
import { TemplateService } from '../../services/template-service/template.service';
export declare class CfFormComponent extends CfCoreComponent implements OnInit {
    elementRef: ElementRef;
    private fqcs;
    questions: any[];
    maxColumns: number;
    commonQuestions: any[];
    key: string;
    displayButton: boolean;
    onSubmit: EventEmitter<{}>;
    form: FormGroup;
    payload: any;
    formQuestions: QueryList<CfFormQuestionComponent>;
    groupQuestions: QueryList<CfGroupQuestionComponent>;
    constructor(elementRef: ElementRef, /**@hidden */ templateService: TemplateService, fqcs: FormQuestionControlService);
    ngOnInit(): void;
    onPressSubmit(): any;
    ngAfterContentInit(): void;
    populatePayload(): void;
    valueChanged($event: any): void;
    /**@hidden */
    ngOnChanges(changes: any): void;
}
